From 6e4dff144c6f3d82941ef6a7b31cbea6ca82180e Mon Sep 17 00:00:00 2001
From: Christian Ullrich <chris@chrullrich.net>
Date: Wed, 16 Nov 2016 16:14:04 +0100
Subject: [PATCH] Add support for updating the environment in debug CRTs.

---
 src/port/win32env.c | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

diff --git a/src/port/win32env.c b/src/port/win32env.c
index 5aaf100..2047b03 100644
--- a/src/port/win32env.c
+++ b/src/port/win32env.c
@@ -45,15 +45,24 @@ pgwin32_putenv(const char *envval)
 		PUTENVPROC	putenvFunc;
 	}			rtmodules[] =
 	{
-		{ "msvcrt",   NULL, NULL },		/* Visual Studio 6.0 / mingw */
-		{ "msvcr70",  NULL, NULL },		/* Visual Studio 2002 */
-		{ "msvcr71",  NULL, NULL },		/* Visual Studio 2003 */
-		{ "msvcr80",  NULL, NULL },		/* Visual Studio 2005 */
-		{ "msvcr90",  NULL, NULL },		/* Visual Studio 2008 */
-		{ "msvcr100", NULL, NULL },		/* Visual Studio 2010 */
-		{ "msvcr110", NULL, NULL },		/* Visual Studio 2012 */
-		{ "msvcr120", NULL, NULL },		/* Visual Studio 2013 */
-		{ "ucrtbase", NULL, NULL },		/* Visual Studio 2015 and later */
+		{ "msvcrt",    NULL, NULL },
+		{ "msvcrtd",   NULL, NULL },	/* Visual Studio 6.0 / mingw */
+		{ "msvcr70",   NULL, NULL },
+		{ "msvcr70d",  NULL, NULL },	/* Visual Studio 2002 */
+		{ "msvcr71",   NULL, NULL },
+		{ "msvcr71d",  NULL, NULL },	/* Visual Studio 2003 */
+		{ "msvcr80",   NULL, NULL },
+		{ "msvcr80d",  NULL, NULL },	/* Visual Studio 2005 */
+		{ "msvcr90",   NULL, NULL },
+		{ "msvcr90d",  NULL, NULL },	/* Visual Studio 2008 */
+		{ "msvcr100",  NULL, NULL },
+		{ "msvcr100d", NULL, NULL },	/* Visual Studio 2010 */
+		{ "msvcr110",  NULL, NULL },
+		{ "msvcr110d", NULL, NULL },	/* Visual Studio 2012 */
+		{ "msvcr120",  NULL, NULL },
+		{ "msvcr120d", NULL, NULL },	/* Visual Studio 2013 */
+		{ "ucrtbase",  NULL, NULL },
+		{ "ucrtbased", NULL, NULL },	/* Visual Studio 2015 and later */
 		{ NULL, NULL, NULL }
 	};
 	int			i;
-- 
2.10.2.windows.1

